# herbe
herbe.background_color: nord0
+# herbe.font_pattern: Source Code Pro:size=10,Symbols Nerd Font:style=2048-em
herbe.font_pattern: Source Code Pro:size=10
herbe.width: 300
herbe.pos_x: 20
# =-=-=-=-= custom 'go to' commands
# school
+map gd cd ~/Downloads
+map gS cd ~/Scripts
map gs. cd ~/School
map gsc cd ~/School/cs145
map gsm5 cd ~/School/math135
-execute_on_song_change = notify-send "Now Playing" "$(mpc current)"
+execute_on_song_change = notify-send "Now Playing: $(mpc current)" -i ""
visualizer_fifo_path = "/tmp/mpd.fifo"
visualizer_output_name = "toggle_visualizer"
+++ /dev/null
-#!/bin/sh
-
-get_option() {
- xrdb -query | grep $1 | awk '{print $2}'
-}
-
-config_file=$XDG_CONFIG_HOME/zathura/zathurarc
-
-cat > $config_file <<- CONF
-set recolor
-set recolor-darkcolor "$(get_option foreground)"
-set recolor-lightcolor "$(get_option *.color0:)"
-set default-bg "$(get_option *.color0:)"
-map i recolor
-
-set font Source Code Pro:size=12
-set statusbar-fg "$(get_option *.color0:)"
-set statusbar-bg "$(get_option *.color2:)"
-set statusbar-v-padding 2
-set statusbar-h-padding 8
-
-CONF
\mathbb{N}
endsnippet
+snippet complex "Set of Complex" w
+\mathbb{C}
+endsnippet
# OTHERS
snippet implies "Implies" w
Plug 'jiangmiao/auto-pairs'
Plug 'PietroPate/vim-tex-conceal'
Plug 'vim-airline/vim-airline'
-Plug 'habamax/vim-godot'
+ " Plug 'neoclide/coc.nvim', {'branch': 'release'}
+" Plug 'habamax/vim-godot'
Plug 'tpope/vim-commentary'
call plug#end()
--- /dev/null
+#!/bin/sh
+
+# CORMACKSCRIPT General Syntax
+#
+# IMPORTANT!
+# Make sure you change the 'scriptfile' and 'targetfile' variables as you see fit.
+# In addition, place
+#
+# For extra niceness, if you have the racket program installed it will auto execute it.
+#
+#
+# Example:
+#
+# A CormackScript file contains 3 columns separated by whitespace in the format
+# opcode target source
+#
+#
+#
+# You can comment with ;
+#
+#
+# Sample code
+#
+#
+
+scriptfile="A12d.cmks" # cormackscript file
+targetfile="A12d.rkt" # destination file
+
+# You can redefine these to whatever you want
+
+inst0="inc" # [tt] = [tt] + 1
+inst1="add" # [tt] = [tt] + [ss]
+inst2="sub" # [tt] = max([tt] - [ss], 0)
+inst3="mov" # [tt] = [ss]
+inst4="" # [tt] = [tt] + 1, if [ss] = 0
+inst5="" # [tt] = [[ss]]
+inst6="" # [[tt]] = [ss]
+inst7="print" # display [ss]
+inst8="read" # read [tt]
+inst9="quit" # halt
+
+# Config ends here =-=-=-=-=-=-=-=-=
+
+sub() {
+ cat "$scriptfile" |\
+ sed 's/\s*;.*//g; /^\s*$/ d;' |\
+ sed "s/$inst0/0/"
+
+ # finally removes any non alphanumerics in case sm breaks
+}
+
+inject() {
+ tmp="$(mktemp 'tempXXX')"
+ sub >> "$tmp"
+ sed -i "/\; CMKS START/,/\; CMKS END/{/\; CMKS START/!{/\; CMKS END/!d}}; /\; CMKS START/r $tmp" "$targetfile"
+ rm "$tmp"
+}
+
+
+[ -f "$scriptfile" ] && [ -f "$targetfile" ] || { echo "You are missing a file, please check that the current directory contains $scriptfile and $targetfile" && exit 1; }
+
+# If racket is installed run it directly
+# [ ! -z "$(command -v racket)" ] && racket "$targetfile"
+
+inject
fuzzy_dirs="$HOME/Scripts/* $HOME/School/* $HOME/.vim/mysnippets/* $HOME/.bashrc $HOME/.xinitrc $HOME/.Xresources $HOME/.Xmodmap $HOME/.config/*"
-fzs() {
+ffi() { # standard fzf on files
fname="$(find $fuzzy_dirs -type f | fzf)"
- [ -z $fname ] || $EDITOR $fname # make sure a file was selected
+ [ -z "$fname" ] && exit 1
+ echo "$fname"
}
-
-fcd() {
+fdi() { # standard fzf on dirs
dname="$(find $fuzzy_dirs -type d | fzf)"
- [ -z $dname ] || cd $dname
+ [ -z "$dname" ] && exit 1
+ echo "$dname"
+}
+
+fvi() { # shortcut ffi for editor
+ ffi && $EDITOR "$fname"
+}
+
+fcd() { # shortcuz fdi for cding
+ fdi && cd "$dname"
}